cdac.medinfo.utils

## Class ResourceBundleWrapper

- java.lang.Object
- - cdac.medinfo.utils.ResourceBundleWrapper

-     public class ResourceBundleWrapper
      extends java.lang.Object

  Resource bundles Wrapper contain locale-specific objects. When your program needs a locale-specific resource, a String for example, your program can load it from the resource bundle that is appropriate for the current user's locale.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceBundleWrapper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `getValue(java.lang.String strResourceName, java.lang.String strKey)` Retrieves the Value for specified from specified Locale object.
    `static java.lang.String` | `getValue(java.lang.String strResourceName, java.lang.String strKey, java.lang.String section)` Retrieves the Value for specified from specified Locale object.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceBundleWrapper

          public ResourceBundleWrapper()

  - ### Method Detail

    - #### getValue

          public static java.lang.String getValue(java.lang.String strResourceName,
                                                  java.lang.String strKey,
                                                  java.lang.String section)

      Retrieves the Value for specified from specified Locale object.
      Parameters:
        `strResourceName` - the resource name .
        `strKey` - the key whose value to be found.
        `section` - the name of section in Clinical
      Returns:
        String

    - #### getValue

          public static java.lang.String getValue(java.lang.String strResourceName,
                                                  java.lang.String strKey)

      Retrieves the Value for specified from specified Locale object.
      Parameters:
        `strResourceName` - the resource name .
        `strKey` - the key whose value to be found.
      Returns:
        String